##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(sunburst)

HEADERS += \
        $${GUI_SRC}/plugins/Sunburst/DataAccessFunctions.h \
        $${GUI_SRC}/plugins/Sunburst/InfoToolTip.h \
        $${GUI_SRC}/plugins/Sunburst/SunburstCursorData.h \
        $${GUI_SRC}/plugins/Sunburst/SunburstPainter.h \
        $${GUI_SRC}/plugins/Sunburst/SunburstSettingsHandler.h \
        $${GUI_SRC}/plugins/Sunburst/SunburstShapeData.h \
        $${GUI_SRC}/plugins/Sunburst/SystemSunburstPlugin.h \
        $${GUI_SRC}/plugins/Sunburst/TransformationData.h \
        $${GUI_SRC}/plugins/Sunburst/UIEventWidget.h


SOURCES += \
        $${GUI_SRC}/plugins/Sunburst/DataAccessFunctions.cpp \
        $${GUI_SRC}/plugins/Sunburst/InfoToolTip.cpp \
        $${GUI_SRC}/plugins/Sunburst/SunburstCursorData.cpp \
        $${GUI_SRC}/plugins/Sunburst/SunburstPainter.cpp \
        $${GUI_SRC}/plugins/Sunburst/SunburstSettingsHandler.cpp \
        $${GUI_SRC}/plugins/Sunburst/SunburstShapeData.cpp \
        $${GUI_SRC}/plugins/Sunburst/SystemSunburstPlugin.cpp \
        $${GUI_SRC}/plugins/Sunburst/TransformationData.cpp \
        $${GUI_SRC}/plugins/Sunburst/UIEventWidget.cpp
