##*************************************************************************##
##  CUBE        http://www.scalasca.org/                                   ##
##*************************************************************************##
##  Copyright (c) 2023                                                     ##
##  Forschungszentrum Juelich GmbH, Juelich Supercomputing Centre          ##
##                                                                         ##
##  This software may be modified and distributed under the terms of       ##
##  a BSD-style license.  See the COPYING file in the package base         ##
##  directory for details.                                                 ##
##*************************************************************************##


include(../cubeplugin.pri)

TARGET = $$qtLibraryTarget(metriceditor)

QT += network

HEADERS += \
        $${GUI_SRC}/plugins/MetricEditor/MetricEditor.h \
        $${GUI_SRC}/plugins/MetricEditor/DerivedMetricEditor.h \
        $${GUI_SRC}/plugins/MetricEditor/DerivedMetricsCollection.h \
        $${GUI_SRC}/plugins/MetricEditor/CubePLSyntaxHighlighter.h \
        $${GUI_SRC}/plugins/MetricEditor/MetricData.h \
        $${GUI_SRC}/plugins/MetricEditor/HtmlHelpCollection.cpp  \
        $${GUI_SRC}/plugins/MetricEditor/NewDerivatedMetricWidget.h


SOURCES += \
        $${GUI_SRC}/plugins/MetricEditor/MetricEditor.cpp \
        $${GUI_SRC}/plugins/MetricEditor/DerivedMetricEditor.cpp \
        $${GUI_SRC}/plugins/MetricEditor/DerivedMetricsCollection.cpp \
        $${GUI_SRC}/plugins/MetricEditor/CubePLSyntaxHighlighter.cpp \
        $${GUI_SRC}/plugins/MetricEditor/NewDerivatedMetricWidget.cpp \
        $${GUI_SRC}/plugins/MetricEditor/HtmlHelpCollection.cpp  \
        $${GUI_SRC}/plugins/MetricEditor/MetricData.cpp
